Pre-release — content may change.

People

Update a person

PATCH
/people/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Person UUID, or the literal me to address the current user.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/people/string" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "people",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {}    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "people",    "attributes": {      "additional_name": "string",      "alternate_name": "string",      "anonymized_at": "2019-08-24T14:15:22Z",      "birth_date": "2019-08-24",      "created_at": "2019-08-24T14:15:22Z",      "data": {},      "data_fields": [        {          "$schema": "string",          "key": "string",          "schema_slug": "string",          "version": 0,          "value": null,          "valid": true        }      ],      "deleted_at": "2019-08-24T14:15:22Z",      "family_name": "string",      "full_name": "string",      "gender": "string",      "given_name": "string",      "honorific_prefix": "string",      "honorific_suffix": "string",      "identifying_number": 0,      "job_function": "string",      "job_level": "string",      "job_title": "string",      "language": "string",      "languages_spoken": [        "string"      ],      "languages_written": [        "string"      ],      "maiden_name": "string",      "manual_tags": [        "string"      ],      "membership_began_on": "2019-08-24",      "membership_in_grace": true,      "membership_number": "string",      "membership_status": "string",      "nickname": "string",      "person_type": "string",      "person_type_external_id": "string",      "preferred_pronoun": "string",      "primary_email_address": "string",      "resource_type_id": 0,      "role_names": [        "string"      ],      "segment_tags": [        "string"      ],      "slug": "string",      "status": "string",      "suffix": "string",      "tags": [        "string"      ],      "updated_at": "2019-08-24T14:15:22Z",      "user": {},      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"    },    "relationships": {      "primary_organization": {        "data": {          "type": "organizations",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/primary_organization",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/primary_organization"        }      },      "organizations": {        "data": [          {            "type": "organizations",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organizations",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/organizations"        }      },      "phones": {        "data": [          {            "type": "phones",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/phones",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/phones"        }      },      "emails": {        "data": [          {            "type": "emails",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/emails",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/emails"        }      },      "addresses": {        "data": [          {            "type": "addresses",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/addresses",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/addresses"        }      },      "web_addresses": {        "data": [          {            "type": "web_addresses",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/web_addresses",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/web_addresses"        }      },      "roles": {        "data": [          {            "type": "roles",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/roles",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/roles"        }      },      "received_messages": {        "data": [          {            "type": "messages",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/received_messages",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/received_messages"        }      },      "json_schemas_available": {        "data": [          {            "type": "json_schemas",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/json_schemas_available",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/json_schemas_available"        }      },      "touchpoints": {        "data": [          {            "type": "touchpoints",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/touchpoints",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/touchpoints"        }      },      "comments": {        "data": [          {            "type": "comments",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/comments",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/comments"        }      },      "pinned_comments": {        "data": [          {            "type": "comments",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/pinned_comments",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/pinned_comments"        }      },      "archive_task": {        "data": {          "type": "resource_archive_tasks",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/archive_task",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/archive_task"        }      },      "leaves": {        "data": [          {            "type": "leaves",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/leaves",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/leaves"        }      },      "membership_people": {        "data": [          {            "type": "person_memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/membership_people",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/membership_people"        }      },      "member_histories": {        "data": [          {            "type": "person_member_histories",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/member_histories",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/member_histories"        }      },      "category_member_histories": {        "data": [          {            "type": "person_member_histories",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/category_member_histories",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/category_member_histories"        }      },      "segments": {        "data": [          {            "type": "segments",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/segments",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/segments"        }      },      "user_identities": {        "data": [          {            "type": "user_identities",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/user_identities",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/user_identities"        }      },      "service_identities": {        "data": [          {            "type": "service_identities",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/service_identities",          "related": "/people/7247ad7d-9275-454b-9e3a-0570e403739e/service_identities"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}